Subject: Re: troubles with postgresql-7.1RC2-1
From: "Pascal Molli" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 6 Apr 2001 19:10:18 +0200

Jason,

I'am *not* running 1.1.8-2 but the last cygwin1.dll available in the
developper snapshot.

I have made more testing... the postmaster crashs only if ipc-daemon is
started as a windows service
  (net start ipc-daemon)

I have stopped the service and just launch ipc-daemon as
    $ ipc-daemon &
and there is no more crash !!

Maybe there are troubles with permissions to access the service ??

--
Pascal

----- Original Message -----
From: "Jason Tishler" <[email-masked]>
To: "Pascal Molli" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, April 06, 2001 6:39 PM
Subject: Re: troubles with postgresql-7.1RC2-1

> Pacal,
>
> On Fri, Apr 06, 2001 at 06:25:11PM +0200, Pascal Molli wrote:
> > I have installed postgres-7.1RC2-1 on windows2000, with cygipc-1.09-2,
> > and cygwin1.dll of 19 March.
> >
> > [snip]
> >
> > Terminating any active server processes...
> > Server processes were terminated at Fri Apr  6 16:21:55 2001
> > Reinitializing shared memory and semaphores
> > c:\cygwin\usr\pgsql\bin\postgres.exe: ***
recreate_mmaps_after_fork_failed
> > postmaster: Startup proc 516 exited with status 256 - abort
>
> The above is a known problem with the 1.1.8-2 DLL.  See the following
> thread that begins with:
>
>     http://sources.redhat.com/ml/cygwin/2001-02/msg00030.html
>
> Did you shutdown *all* of your Cygwin processes (e.g. inetd) before
> attempting to overwrite your 1.1.8-2 DLL?  What is the output from
> "uname -a"?
>
> My WAG is that you are still running with the 1.1.8-2 DLL.
>
> Jason
>
> --
> Jason Tishler
> Director, Software Engineering       Phone: +1 (732) 264-8770 x235
> Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
> 82 Bethany Road, Suite 7             Email: [email-masked]
> Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple